GuiLogEventAppender (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.gui.logging, class: GuiLogEventAppender

Package org.apache.jmeter.gui.logging

# Class GuiLogEventAppender

java.lang.Object
org.apache.logging.log4j.core.AbstractLifeCycle
org.apache.logging.log4j.core.filter.AbstractFilterable
org.apache.logging.log4j.core.appender.AbstractAppender
org.apache.jmeter.gui.logging.GuiLogEventAppender

All Implemented Interfaces:
  `org.apache.logging.log4j.core.Appender`, `org.apache.logging.log4j.core.filter.Filterable`, `org.apache.logging.log4j.core.impl.LocationAware`, `org.apache.logging.log4j.core.LifeCycle`, `org.apache.logging.log4j.core.LifeCycle2`

@Plugin(name="GuiLogEvent", category="Core", elementType="appender", printObject=true) public class GuiLogEventAppender extends org.apache.logging.log4j.core.appender.AbstractAppender
Posts log events to a `GuiLogEventBus`.

Since:
  3.2

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.logging.log4j.core.appender.AbstractAppender

  `org.apache.logging.log4j.core.appender.AbstractAppender.Builder<B extends org.apache.logging.log4j.core.appender.AbstractAppender.Builder<B>>`

  ## Nested classes/interfaces inherited from interface org.apache.logging.log4j.core.LifeCycle

  `org.apache.logging.log4j.core.LifeCycle.State`

- ## Field Summary

  ### Fields inherited from class org.apache.logging.log4j.core.AbstractLifeCycle

  `DEFAULT_STOP_TIMEOUT, DEFAULT_STOP_TIMEUNIT, LOGGER`

  ### Fields inherited from interface org.apache.logging.log4j.core.Appender

  `ELEMENT_TYPE, EMPTY_ARRAY`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GuiLogEventAppender(String name, org.apache.logging.log4j.core.Filter filter, org.apache.logging.log4j.core.Layout<? extends Serializable> layout, boolean ignoreExceptions)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `append(org.apache.logging.log4j.core.LogEvent logEvent)`
  `static GuiLogEventAppender`
  `createAppender(String name, boolean ignoreExceptions, org.apache.logging.log4j.core.Layout<? extends Serializable> layout, org.apache.logging.log4j.core.Filter filter)`
  `org.apache.logging.log4j.core.StringLayout`
  `getStringLayout()`

  ### Methods inherited from class org.apache.logging.log4j.core.appender.AbstractAppender

  `error, error, error, getHandler, getLayout, getName, ignoreExceptions, parseInt, requiresLocation, setHandler, toSerializable, toString`

  ### Methods inherited from class org.apache.logging.log4j.core.filter.AbstractFilterable

  `addFilter, getFilter, getPropertyArray, hasFilter, isFiltered, removeFilter, start, stop, stop`

  ### Methods inherited from class org.apache.logging.log4j.core.AbstractLifeCycle

  `equalsImpl, getState, getStatusLogger, hashCodeImpl, initialize, isInitialized, isStarted, isStarting, isStopped, isStopping, setStarted, setStarting, setState, setStopped, setStopping, stop, stop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.logging.log4j.core.LifeCycle

  `getState, initialize, isStarted, isStopped, start, stop`

- ## Constructor Details

  - ### GuiLogEventAppender

    protected GuiLogEventAppender(String name, org.apache.logging.log4j.core.Filter filter, org.apache.logging.log4j.core.Layout<? extends Serializable> layout, boolean ignoreExceptions)

- ## Method Details

  - ### append

    public void append(org.apache.logging.log4j.core.LogEvent logEvent)

  - ### createAppender

    @PluginFactory public static GuiLogEventAppender createAppender(@PluginAttribute("name") String name, @PluginAttribute("ignoreExceptions") boolean ignoreExceptions, @PluginElement("Layout") org.apache.logging.log4j.core.Layout<? extends Serializable> layout, @PluginElement("Filters") org.apache.logging.log4j.core.Filter filter)

  - ### getStringLayout

    public org.apache.logging.log4j.core.StringLayout getStringLayout()